@media (prefers-color-scheme: dark) {
    body {
        background-color: rgb(35, 35, 35);
        --color: white;
        --hovercolor: rgb(56, 56, 56);
        --menucolor: rgb(50, 50, 50);
    }
}

@media (prefers-color-scheme: light) {
    body {
        --color: black;
        --hovercolor: rgb(200, 200, 200);
        --menucolor: rgb(235, 235, 235);
    }
}

body {
    font-family: 'Jost';
    color: var(--color);
}

input, select {
    border: 2px solid #0160db;
    border-radius: 4px;
    padding: 0.2em;
    background: transparent;
    font-family: 'Jost';
    color: var(--color);
}

input:hover, select:hover {
    border-color: #408ef5;
    background: var(--hovercolor);
}

button {
    border: none;
    border-radius: 4px;
    padding: 0.4em;
    background: linear-gradient(40deg, #0160db, #0d52ae);
    font-family: 'Jost';
    color: var(--color);
}

button:hover {
    background: linear-gradient(40deg, #408ef5, #326db9);
}

input[type="checkbox"] {
    appearance: none;
    width: 1.3em;
    height: 1.3em;
    vertical-align: text-top;
    position: relative;
}

input[type="checkbox"]:checked {
    background: #0160db;
}

input[type="checkbox"]:checked:hover {
    background: #408ef5;
}

input[type="checkbox"]:checked:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0px;
    background-image: url("../icons/checkmark.svg");
    background-size: 100%;
    background-position: center;
}